Api reference
Category
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
restaurantId?integer
Range
0 < valueResponse Body
application/json
application/json
curl -X GET "https://example.com/api/category"{ "success": true, "data": [ { "cloverId": "string", "name": "string", "description": "string", "displayOrder": 0, "id": 1, "createdAt": "string", "updatedAt": "string" } ]}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/category" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "success": true, "category": { "cloverId": "string", "name": "string", "description": "string", "displayOrder": 0 }}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*number
Response Body
application/json
application/json
curl -X DELETE "https://example.com/api/category/0"{ "success": true, "message": "string"}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*number
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/api/category/0" \ -H "Content-Type: application/json" \ -d '{}'{ "success": true, "category": { "cloverId": "string", "name": "string", "description": "string", "displayOrder": 0 }}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/category/bulk-delete" \ -H "Content-Type: application/json" \ -d '{ "ids": [ 0 ] }'{ "success": true, "message": "string"}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/category/bulk-upload"{ "success": true, "message": "string", "totalProcessed": 0, "successful": 0, "failed": 0, "errors": [ { "row": 0, "error": "string", "data": { "property1": null, "property2": null } } ]}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Response Body
application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
curl -X GET "https://example.com/api/category/template""string"